尼日利亚奈拉代收申请
curl --request POST \
--url https://uat-interface.haipay.asia/ngn/collect/apply \
--header 'Content-Type: application/json' \
--data '
{
"appId": 1054,
"orderId": "NGNCOLLECT001",
"amount": "25000.00",
"email": "emeka.okafor@gmail.com",
"callBackUrl": "https://shop.merchant.com/payment/success",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
'import requests
url = "https://uat-interface.haipay.asia/ngn/collect/apply"
payload = {
"appId": 1054,
"orderId": "NGNCOLLECT001",
"amount": "25000.00",
"email": "emeka.okafor@gmail.com",
"callBackUrl": "https://shop.merchant.com/payment/success",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://uat-interface.haipay.asia/ngn/collect/apply';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 1054,
orderId: 'NGNCOLLECT001',
amount: '25000.00',
email: 'emeka.okafor@gmail.com',
callBackUrl: 'https://shop.merchant.com/payment/success',
notifyUrl: 'https://api.merchant.com/webhooks/haipay',
sign: 'signature'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://uat-interface.haipay.asia/ngn/collect/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => 1054,
'orderId' => 'NGNCOLLECT001',
'amount' => '25000.00',
'email' => 'emeka.okafor@gmail.com',
'callBackUrl' => 'https://shop.merchant.com/payment/success',
'notifyUrl' => 'https://api.merchant.com/webhooks/haipay',
'sign' => 'signature'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://uat-interface.haipay.asia/ngn/collect/apply")
.header("Content-Type", "application/json")
.body("{\n \"appId\": 1054,\n \"orderId\": \"NGNCOLLECT001\",\n \"amount\": \"25000.00\",\n \"email\": \"emeka.okafor@gmail.com\",\n \"callBackUrl\": \"https://shop.merchant.com/payment/success\",\n \"notifyUrl\": \"https://api.merchant.com/webhooks/haipay\",\n \"sign\": \"signature\"\n}")
.asString();{
"status": "1",
"error": "00000000",
"msg": "",
"data": {
"orderId": "NGNCOLLECT001",
"orderNo": "6023071013539074",
"amount": "25000.00",
"exchangeRate": "1",
"orderAmount": "25000.00",
"payUrl": "https://pay.haipay.asia/cashier/1L9zQS2",
"description": "",
"expiryPeriod": 15,
"sign": "signature"
}
}
尼日利亚
尼日利亚 — 尼日利亚奈拉代收申请
尼日利亚 — 尼日利亚奈拉代收申请接口(POST /ngn/collect/apply),请求参数包含 orderId、amount 与签名字段,返回订单状态与交易结果。
POST
/
ngn
/
collect
/
apply
尼日利亚奈拉代收申请
curl --request POST \
--url https://uat-interface.haipay.asia/ngn/collect/apply \
--header 'Content-Type: application/json' \
--data '
{
"appId": 1054,
"orderId": "NGNCOLLECT001",
"amount": "25000.00",
"email": "emeka.okafor@gmail.com",
"callBackUrl": "https://shop.merchant.com/payment/success",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
'import requests
url = "https://uat-interface.haipay.asia/ngn/collect/apply"
payload = {
"appId": 1054,
"orderId": "NGNCOLLECT001",
"amount": "25000.00",
"email": "emeka.okafor@gmail.com",
"callBackUrl": "https://shop.merchant.com/payment/success",
"notifyUrl": "https://api.merchant.com/webhooks/haipay",
"sign": "signature"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://uat-interface.haipay.asia/ngn/collect/apply';
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
appId: 1054,
orderId: 'NGNCOLLECT001',
amount: '25000.00',
email: 'emeka.okafor@gmail.com',
callBackUrl: 'https://shop.merchant.com/payment/success',
notifyUrl: 'https://api.merchant.com/webhooks/haipay',
sign: 'signature'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://uat-interface.haipay.asia/ngn/collect/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => 1054,
'orderId' => 'NGNCOLLECT001',
'amount' => '25000.00',
'email' => 'emeka.okafor@gmail.com',
'callBackUrl' => 'https://shop.merchant.com/payment/success',
'notifyUrl' => 'https://api.merchant.com/webhooks/haipay',
'sign' => 'signature'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://uat-interface.haipay.asia/ngn/collect/apply")
.header("Content-Type", "application/json")
.body("{\n \"appId\": 1054,\n \"orderId\": \"NGNCOLLECT001\",\n \"amount\": \"25000.00\",\n \"email\": \"emeka.okafor@gmail.com\",\n \"callBackUrl\": \"https://shop.merchant.com/payment/success\",\n \"notifyUrl\": \"https://api.merchant.com/webhooks/haipay\",\n \"sign\": \"signature\"\n}")
.asString();{
"status": "1",
"error": "00000000",
"msg": "",
"data": {
"orderId": "NGNCOLLECT001",
"orderNo": "6023071013539074",
"amount": "25000.00",
"exchangeRate": "1",
"orderAmount": "25000.00",
"payUrl": "https://pay.haipay.asia/cashier/1L9zQS2",
"description": "",
"expiryPeriod": 15,
"sign": "signature"
}
}
本页所有示例请求均基于沙盒(测试)环境,请注意区分正式环境。
密钥私钥(生成签名)
相关主题
- 尼日利亚支付接口
- HaiPay API 文档简介
- HaiPay 配置与签名指南
- 尼日利亚 — 尼日利亚奈拉代收查询 (POST /ngn/collect/query)
- 处理异步通知并验证签名
- 查询代收支付类型与编码 (payType)
请求体
application/json
业务ID(后台获取,需与URL币种一致)
商户订单号,必须唯一,最长48个字符
Maximum string length:
48交易金额(NGN);范围以商户后台业务配置范围为准。通用请求格式最多4位小数,实际按2位小数处理
Pattern:
^((([1-9]\d*)(\.\d{1,4})?)|(0\.(?!0+$)\d{1,4}))$签名
支付类型;按商户后台支付方式配置传入
代收支付编码;按商户后台支付方式配置传入
付款人姓名
付款人手机号
Maximum string length:
20付款人邮箱;未传时使用默认邮箱
支付成功跳转地址
支付失败跳转地址
异步通知地址
交易标题、商品名称或支付原因
备注详情
用户唯一标识
Maximum string length:
64Pattern:
^[a-zA-Z0-9\-~!@#$%&*()_]+$最后修改于 2026年10月29日

